baseURL = "https://example.com/"
languageCode = "en"
title = "🐧 LinuxMasterRace"
theme = "color-your-world"

copyright = "Copyright © 2008–2020, Steve Francia and the Hugo Authors;\n All rights reserved."

enableEmoji = true
enableInlineShortcodes = true

paginate = 5


[markup]
  [markup.goldmark]
    [markup.goldmark.renderer]
      unsafe = true

  [markup.highlight]
    # To make use of the custom Chroma, this should be false
    # The default is true
    noClasses = false


[params]
  
  # Site description
  description = "LinuxMasterRace website"
  
  # Author
  author      = "LinuxMasterRace members"
  authorDesc  = "Linux enthusiasts"
  
  # Site cover, for Open Graph, Twitter Cards and Schema.org
  # It will be used if the current page doesn't have a image cover
  # File will be picked from the "assets" directory
  # Comment the lines if you don't want to use it
  #cover     = "img/cover.jpg"
  #coverAlt  = "A placeholder that doesn't deserve to be described."
  
  # Shows a message in the footer about JavaScript being disabled
  # The default is false
  hasNoscriptNotice = true
  
  # Default path for images in posts
  # ie.: "content/some-post/img"
  # Can also be set PER PAGE
  # It can be used to reduce repetition
  # There's no default value
  imgPath = "img"
  
  # Default classes for markup image 
  # Modifies the default behavior of images placed via markdown
  # Can also be set PER PAGE via front matter
  # Available classes are: border and borderless
  # There's no default value
  markupImgClass = ""
  
  # This will append a separator (of your choice) along the site title to your <title>
  # ie.: | ❚ - – — • ⚫ 
  # You can disabled it PER PAGE by using "disableTitleSeparator" at front
  # matter or disable it entirely by commenting the line below
  titleSeparator = "|"
  
  
  # Contact form shortcode
  [params.contact]
  
    # formspree.io Form ID
    formspreeFormId = "example"
    
    # Autocomplete [on/off] and min character length for message
    autoComplete      = false # Default is false
    messageMinLength  = 140   # Default is 140
    
    # Subject
    # You can set a single value below (and it will cease to be a dropdown),
    # BUT KEEP IT AS AN ARRAY
    # It can also be disabled entirely (and it will turn into a text field)
    subject = [ 'Just saying "hi"', "I know what you did last winter", "... Is that a sloth?", "お前はもう死んでいる。" ]

    # Text placeholders. As usual, comment the lines if you don't want use them
    # The "subject" below will only be used if the "subject" above doesn't exist (ie.: commented/deleted)
    [params.contact.placeholder]
      name    = "Jane Doe"
      email   = "janedoe@example.com"
      subject = 'Just saying "hi"'
      message = "Aenean lacinia bibendum nulla sed consectetur. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec ullamcorper nulla non metus auctor fringilla nullam quis risus."


  [params.search]
  
    # Enable search form (at the post list)
    # The default value is false
    enable = true
  
    # Limit search results
    # The default value is 30
    maxResults = 15
    
    # Limit seach field input and pattern matching
    minLength = 2   # Default is 3
    maxLength = 42  # Default is 32
    
    # Optional placeholder for search field
    placeholder = "ie.: lorem ipsum"
    

  [params.style]
  
    # Dark mode as default
    # User preferences (site/system settings) will still have priority over it
    # The default is false
    isDark = true

    # Disable the use of system settings (prefers-color-scheme)
    # The default is false
    ignoreSystemSettings = true

    # Accent colors for light and dark mode respectively
    lightAccent  = "#2c78bf" # Default is "#225670"
    darkAccent   = "#519f50" # Default is "#dd587c"

    # More colors, pick as many as you want (not really sure if there's a limit)
    # Apparently these may not show up on every modern browser (ie. Firefox)
    # There's no default value. Used here just as example
    presets = [ "#1f676b", "#f3a530", "#902b37", "#1dbc91", "#754e85", "#7fc121", "#a8314a", "#ff7433", "#3e6728", "#c063bd" ]
    
    # Use an icon or text for footnote return links
    # The default is false
    hasIconAsFootnoteReturnLink = true
    
    # For the social shortcode
    # Use flexbox (with flex-grow) or grid (equal width)
    # The default is false
    socialIsFlex = true
    
    # Keep anchor links hidden until it's focused/hovered
    # The default is false
    hideAnchors = true
    
    # To make use of the custom Chroma, this should be true
    # and "noClasses" (at markup.highlight) should be false
    # The default is true
    useCustomChroma = true

    # CSS animation transition when changing colors
    # The default is ".5s ease"
    changeTransition = ".3s ease"
    
    
  # For a simple 404
  [params.notFound]
    title         = "Page not found"
    description   = "This page was not found."
    paragraph     = "Nothing to see here, buddy."
    
  [params.social.centralized]
    facebook      = [ "<username>", "Zuckerburg" ]
    flickr        = [ "<username>" ]
    github        = [ "<username>" ]
    gitlab        = [ "<username>" ]
    instagram     = [ "<username>" ]
    keybase       = [ "<username>" ]
    linkedin      = [ "<username>" ]
    medium        = [ "<username>" ]
    reddit        = [ "<username>" ]
    snapchat      = [ "<username>" ]
    soundcloud    = [ "<username>" ]
    stackOverflow = [ "<username>" ]
    strava        = [ "<username>" ]
    telegram      = [ "<username>" ]
    twitch        = [ "<username>" ]
    twitter       = [ "<username>", "@birb" ]
    vimeo         = [ "<username>" ]
    whatsapp      = [ "<number>" ]
    xing          = [ "<username>" ]
    youtube       = [ "<channelid>" ]
    #entry         = [ "username", "label (optional)" ]
    
    # The "entry" here IS important. It's used to load the data.

  [params.social.decentralized]
  
    [params.social.decentralized.element]
      1 = [ "https://app.element.io/#/user/<username>:matrix.org", "matrix.org" ]
      #entry = [ "full url", "label (required)" ]
      
    [params.social.decentralized.funkwhale]
      1 = [ "https://open.audio/<username>", "open.audio" ]
      
    [params.social.decentralized.mastodon]
      1 = [ "https://mastodon.social/<username>", "mastodon.social" ]
      2 = [ "https://mastodon.too/<username>", "mastodon.too" ]
      3 = [ "https://yet.another.one/<username>", "yet.another.one" ]
      
    [params.social.decentralized.matrix]
      1 = [ "https://matrix.to/#/<username>:matrix.org", "matrix.org" ]
      2 = [ "https://matrix.to/#/<username>:other.org", "other.org" ]
      
    [params.social.decentralized.peertube]
      1 = [ "https://peertube.something/accounts/<username>", "peertube.something" ]
      
    [params.social.decentralized.pixelfed]
      1 = [ "https://pixelfed.social/<username>", "pixelfed.social" ]
      
    # The "entry" here ISN'T important. It's used for nothing.
    
    
[privacy]

  [privacy.vimeo]
    disabled = false
    simple = true

  [privacy.twitter]
    disabled = false
    enableDNT = true
    simple = true

  [privacy.instagram]
    disabled = false
    simple = true

  [privacy.youtube]
    disabled = false
    privacyEnhanced = true

[services]

  [services.instagram]
    disableInlineCSS = true

  [services.twitter]
    disableInlineCSS = true



[languages]

  [languages.en]
  
    languageName = "English"

    [languages.en.menu]

      [[languages.en.menu.main]]
        name = "About"
        weight = 1
        url = "/about/"

      [[languages.en.menu.main]]
        name = "IRC"
        weight = 2
        # url = "https://webchat.snoonet.org/linuxmasterrace"
        url = "/irc/"


      [[languages.en.menu.main]]
        name = "Reddit"
        weight = 3
        url = "https://www.reddit.com/r/linuxmasterrace/"
      
